Subject: bug#7519: 24.0.50; list-buffers and Buffer-menu-select destroy marks

From: [email-masked]
Date: Wed, 01 Dec 2010 07:48:33 +0800

C-x C-b runs the command list-buffers, which is an interactive
compiled Lisp function in `buff-menu.el'.

v runs the command Buffer-menu-select, which is an interactive
compiled Lisp function in `buff-menu.el'.

Both these commands, and maybe others too, destroy any previous marks made with

m runs the command Buffer-menu-mark, which is an interactive compiled
Lisp function in `buff-menu.el'.

That is a very bad thing to do! Please make a variable to control that,
with default 'no-destroy !

In GNU Emacs 24.0.50.1 (i486-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2010-11-21 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20101120-1)